//------------------------------------------------------------------------------
//                         Copyright 2003, P. Hulshoff
//                               The Netherlands
//------------------------------------------------------------------------------
//    This file is part of MAMED.
//
//    MAMED is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    MAMED is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with MAMED; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//------------------------------------------------------------------------------


#ifndef _CLASSES_H
#define _CLASSES_H


#include <string>
using namespace std;


class game
{
  private:
    string name;
    string file;
    string year;
    string version;
    string cat;
    string orig_cat;
    string clone_of;
    string exec;
    bool   available;
    game   *prev;
    game   *next;
  public:
    game( string gname, string gfile, string gyear, string gclone_of );
    string get_name( );
    string get_file( );
    string get_year( );
    string get_clone_of( );
    string get_version( );
    void   set_version( string gversion );
    string get_cat( );
    void   set_cat( string gcat );
    string get_orig_cat( );
    void   set_orig_cat( string gcat );
    bool   is_available( );
    void   set_available( bool avail );
    game   *get_next( );
    void   set_next( game *ggame );
    game   *get_prev( );
    void   set_prev( game *ggame );
    string get_exec( );
    void   set_exec( string gexec);
    friend const bool operator< ( game &left, game &right);
};


// Sort a list of games
game *sort( game *list, int nr_game );


// order_type declaration
enum order_t {none, year, version, category};
typedef enum order_t order_type;


#endif // _CLASSES_H
