//------------------------------------------------------------------------------
//                         Copyright 2003, P. Hulshoff
//                               The Netherlands
//------------------------------------------------------------------------------
//    This file is part of MAMED.
//
//    MAMED is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    MAMED is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with MAMED; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//------------------------------------------------------------------------------


#ifndef _GUI_H
#define _GUI_H


//------------------------------------------------------------------------------
//                                Includes
//------------------------------------------------------------------------------


#include "SDL/SDL.h"


//------------------------------------------------------------------------------
//                                  Constants
//------------------------------------------------------------------------------


#define ALIGN_LEFT   0
#define ALIGN_CENTER 1
#define ALIGN_RIGHT  2
#define ALIGN_TOP    0
#define ALIGN_BOTTOM 2


//------------------------------------------------------------------------------
//                                Functions
//------------------------------------------------------------------------------


// Initiate the SDL screen, TTF fonts, and audio
void init_sdl( );

// Update the screen based on the current game
void update_screen( );

// Run screensaver
void run_screensaver( );

// Print string
void print_string( string name, SDL_Surface *screen, string fontname, int size, int x, int y, int h_align, int v_align, SDL_Color color );


#endif // _GUI_H
